//
//  DebugActionView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 14/08/2025.
//

import SwiftUI

struct DebugActionView: View {
    let title: String
    @State var isOn = false

    var body: some View {
        VStack(spacing: 16) {
            SQText(title)
                .sqFont(.semiBold)
            Toggle("", isOn: $isOn)
        }
        .labelsHidden()
        .frame(maxWidth: .infinity, maxHeight: 128)
        .background {
            RoundedRectangle(cornerRadius: 10)
                .fill(Color.sqNeutral(10))
        }
    }
}

#Preview {
    DebugActionView(title: "Anglais")
}
